Subject: [xml2rfc] Problem with HTMLizing

From: Paul Kyzivat <[email-masked]>
Date: Wed, 12 Oct 2016 12:21:27 -0400

I was reviewing a draft (see below) and raised an issue because in the 
HTMLized form a few of the references is the body were not hyperlinked. 
The author declined to fix it because he feels the source is right.

I looked at the xml and it does seem correct, so it is something 
downstream from there. I think it is *not* an xml2rfc problem, because 
the .txt format doesn't have hyperlinks, and IIUC the HTMLized form is 
generated by post processing the .txt rather than by generating HTML 
directly from the xml.

I don't know where to report problems with the HTMLizing tool.

	Thanks,
	Paul

-------- Forwarded Message --------
Subject: Re: [Gen-art] Telechat review of draft-ietf-tsvwg-rfc5405bis-18
Date: Wed, 12 Oct 2016 11:36:34 -0400
From: Paul Kyzivat <[email-masked]>
To: Eggert, Lars <[email-masked]>
CC: [email-masked] 
<[email-masked]>, General Area Review Team 
<[email-masked]>

On 10/12/16 12:55 AM, Eggert, Lars wrote:
> Hi,
>
> thanks for the review!
>
> On 2016-10-11, at 21:21, Paul Kyzivat <[email-masked]> wrote:
>> (1) NIT: "RTT" is used without definition. (There used to be a definition but it has been removed.)
>
> I think this can be addressed by an RFC Editor Note.

Sure.

>> (2) NIT: unlinked references
>>
>> I found a number of cases where, in the html format, references are not hyperlinked:
>>
>> [RFC4342] section 3
>> [RFC6679] section 3.1.7
>> [RFC1981] section 3.2
>> [RFC6935] section 3.4.1
>
> As mentioned before, these are due to bugs in the rfcmarkup tool. Please file a bug report.

Sorry - I forgot you mentioned this before.

	Thanks,
	Paul

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art

---

From: Robert Sparks <[email-masked]>
Date: Thu, 13 Oct 2016 15:59:13 -0500

On 10/12/16 11:21 AM, Paul Kyzivat wrote:
> HTMLized form a few of the references is the body were not 
> hyperlinked. The author declined to fix it because he feels the source 
> is right.
>
Send that to Henrik.
> xml2rfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc